Index: doc/user/io.t
===================================================================
--- doc/user/io.t	(revision 3973e40a54b01fd9f1e4c687c34aa7830a4c2350)
+++ doc/user/io.t	(revision 75e22db0d500f02e6a1c0304ead2bff4f0790139)
@@ -80,5 +80,6 @@
 If the device driver does not support a particular
 entry point, then that entry in the Configuration Table should
-be NULL.  RTEMS will return @code{@value{RPREFIX}SUCCESSFUL} as the executive's and
+be NULL.  RTEMS will return
+@code{@value{RPREFIX}SUCCESSFUL} as the executive's and
 zero (0) as the device driver's return code for these device
 driver entry points.
@@ -224,8 +225,9 @@
 @subsection Register and Lookup Name
 
-The io_register directive associates a name with the
+The @code{@value{DIRPREFIX}io_register} directive associates a name with the
 specified device (i.e. major/minor number pair).  Device names
 are typically registered as part of the device driver
-initialization sequence.  The io_lookup directive is used to
+initialization sequence.  The @code{@value{DIRPREFIX}io_lookup}
+directive is used to
 determine the major/minor number pair associated with the
 specified device name.  The use of these directives frees the
@@ -242,7 +244,12 @@
 application program to utilize device drivers in a standard
 manner.  There is a direct correlation between the RTEMS I/O
-manager directives io_initialize, io_open, io_close, io_read,
-io_write, and io_control and the underlying device driver entry
-points.
+manager directives
+@code{@value{DIRPREFIX}io_initialize},
+@code{@value{DIRPREFIX}io_open},
+@code{@value{DIRPREFIX}io_close},
+@code{@value{DIRPREFIX}io_read},
+@code{@value{DIRPREFIX}io_write}, and
+@code{@value{DIRPREFIX}io_control}
+and the underlying device driver entry points.
 
 @ifinfo
Index: doc/user/mp.t
===================================================================
--- doc/user/mp.t	(revision 3973e40a54b01fd9f1e4c687c34aa7830a4c2350)
+++ doc/user/mp.t	(revision 75e22db0d500f02e6a1c0304ead2bff4f0790139)
@@ -205,6 +205,6 @@
 @item The MPCI layer on the destination node senses the
 arrival of a packet (commonly in an ISR), and calls the
-multiprocessing_announce directive.  This directive readies the
-Multiprocessing Server.
+@code{@value{DIRPREFIX}multiprocessing_announce}
+directive.  This directive readies the Multiprocessing Server.
 
 @item The Multiprocessing Server calls the user-provided
@@ -213,6 +213,6 @@
 
 @item The MPCI layer on the originating node senses the
-arrival of a packet (typically via an interrupt), and calls the
-RTEMS multiprocessing_announce directive.  This directive
+arrival of a packet (typically via an interrupt), and calls the RTEMS
+@code{@value{DIRPREFIX}multiprocessing_announce} directive.  This directive
 readies the Multiprocessing Server.
 
@@ -238,5 +238,6 @@
 remote node and is used to represent a task which must block as
 part of a remote operation. This action can occur as part of the
-semaphore_obtain and message_queue_receive directives.  If the
+@code{@value{DIRPREFIX}semaphore_obtain} and
+@code{@value{DIRPREFIX}message_queue_receive} directives.  If the
 object were local, the task's control block would be available
 for modification to indicate it was blocking on a message queue
@@ -324,5 +325,6 @@
 packet at a node may generate an interrupt.  Otherwise, the
 real-time clock ISR can check for the arrival of a packet.  In
-any case, the multiprocessing_announce directive must be called
+any case, the 
+@code{@value{DIRPREFIX}multiprocessing_announce} directive must be called
 to announce the arrival of a packet.  After exiting the ISR,
 control will be passed to the Multiprocessing Server to process
@@ -337,5 +339,5 @@
 
 The INITIALIZATION component of the user-provided
-MPCI layer is called as part of the initialize_executive
+MPCI layer is called as part of the @code{@value{DIRPREFIX}initialize_executive}
 directive to initialize the MPCI layer and associated hardware.
 It is invoked immediately after all of the device drivers have
@@ -628,5 +630,5 @@
 @subsection Announcing a Packet
 
-The multiprocessing_announce directive is called by
+The @code{@value{DIRPREFIX}multiprocessing_announce} directive is called by
 the MPCI layer to inform RTEMS that a packet has arrived from
 another node.  This directive can be called from an interrupt
Index: doc/user/msg.t
===================================================================
--- doc/user/msg.t	(revision 3973e40a54b01fd9f1e4c687c34aa7830a4c2350)
+++ doc/user/msg.t	(revision 75e22db0d500f02e6a1c0304ead2bff4f0790139)
@@ -38,5 +38,5 @@
 @item @code{@value{DIRPREFIX}message_queue_receive} - Receive message from a queue
 @item @code{@value{DIRPREFIX}message_queue_get_number_pending} - Get number of messages pending on a queue
-@item @code{message_queue_flush} - Flush all messages on a queue
+@item @code{@value{DIRPREFIX}message_queue_flush} - Flush all messages on a queue
 @end itemize
 
@@ -72,6 +72,7 @@
 tasks and ISRs.  Message queues can contain a variable number of
 messages.  Normally messages are sent to and received from the
-queue in FIFO order using the message_queue_send directive.
-However, the message_queue_urgent directive can be used to place
+queue in FIFO order using the @code{@value{DIRPREFIX}message_queue_send}
+directive.  However, the @code{@value{DIRPREFIX}message_queue_urgent}
+directive can be used to place
 messages at the head of a queue in LIFO order.
 
@@ -100,20 +101,19 @@
 
 
-
 An attribute listed as a default is not required to
 appear in the attribute list, although it is a good programming
 practice to specify default attributes.  If all defaults are
-desired, the attribute @code{@value{RPREFIX}DEFAULT_ATTRIBUTES} should be specified on
-this call.
+desired, the attribute @code{@value{RPREFIX}DEFAULT_ATTRIBUTES}
+should be specified on this call.
 
 This example demonstrates the attribute_set parameter
 needed to create a local message queue with the task priority
 waiting queue discipline.  The attribute_set parameter to the
-message_queue_create directive could be either 
+@code{@value{DIRPREFIX}message_queue_create} directive could be either 
 @code{@value{RPREFIX}PRIORITY} or
 @code{@value{RPREFIX}LOCAL @value{OR} @value{RPREFIX}PRIORITY}.  
 The attribute_set parameter can be set to @code{@value{RPREFIX}PRIORITY}
-because @code{@value{RPREFIX}LOCAL} is the default for all created message queues.  If
-a similar message queue were to be known globally, then the
+because @code{@value{RPREFIX}LOCAL} is the default for all created
+message queues.  If a similar message queue were to be known globally, then the
 attribute_set parameter would be
 @code{@value{RPREFIX}GLOBAL @value{OR} @value{RPREFIX}PRIORITY}.
@@ -126,6 +126,6 @@
 In general, an option is built by a bitwise OR of the
 desired option components.  The set of valid options for the
-message_queue_receive directive are listed in the following
-table:
+@code{@value{DIRPREFIX}message_queue_receive} directive are
+listed in the following table:
 
 @itemize @bullet
@@ -137,10 +137,11 @@
 appear in the option OR list, although it is a good programming
 practice to specify default options.  If all defaults are
-desired, the option @code{@value{RPREFIX}DEFAULT_OPTIONS} should be specified on this
-call.
+desired, the option @code{@value{RPREFIX}DEFAULT_OPTIONS} should
+be specified on this call.
 
 This example demonstrates the option parameter needed
 to poll for a message to arrive.  The option parameter passed to
-the message_queue_receive directive should be @code{@value{RPREFIX}NO_WAIT}.
+the @code{@value{DIRPREFIX}message_queue_receive} directive should
+be @code{@value{RPREFIX}NO_WAIT}.
 
 @ifinfo
@@ -164,5 +165,5 @@
 @subsection Creating a Message Queue
 
-The message_queue_create directive creates a message
+The @code{@value{DIRPREFIX}message_queue_create} directive creates a message
 queue with the user-defined name.  The user specifies the
 maximum message size and maximum number of messages which can be
@@ -187,9 +188,9 @@
 unique message queue ID.  The message queue ID may be obtained
 by either of two methods.  First, as the result of an invocation
-of the message_queue_create directive, the queue ID is stored in
-a user provided location.  Second, the queue ID may be obtained
-later using the message_queue_ident directive.  The queue ID is
-used by other message manager directives to access this message
-queue.
+of the @code{@value{DIRPREFIX}message_queue_create} directive, the
+queue ID is stored in a user provided location.  Second, the queue
+ID may be obtained later using the @code{@value{DIRPREFIX}message_queue_ident}
+directive.  The queue ID is used by other message manager
+directives to access this message queue.
 
 @ifinfo
@@ -198,5 +199,5 @@
 @subsection Receiving a Message
 
-The message_queue_receive directive attempts to
+The @code{@value{DIRPREFIX}message_queue_receive} directive attempts to
 retrieve a message from the specified message queue.  If at
 least one message is in the queue, then the message is removed
@@ -228,5 +229,6 @@
 
 Messages can be sent to a queue with the
-message_queue_send and message_queue_urgent directives.  These
+@code{@value{DIRPREFIX}message_queue_send} and
+@code{@value{DIRPREFIX}message_queue_urgent} directives.  These
 directives work identically when tasks are waiting to receive a
 message.  A task is removed from the task waiting queue,
@@ -235,6 +237,7 @@
 
 When no tasks are waiting at the queue,
-message_queue_send places the message at the rear of the message
-queue, while message_queue_urgent places the message at the
+@code{@value{DIRPREFIX}message_queue_send} places the
+message at the rear of the message queue, while
+@code{@value{DIRPREFIX}message_queue_urgent} places the message at the
 front of the queue.  The message is copied to a message buffer
 from this message queue's buffer pool and then placed in the
@@ -248,5 +251,5 @@
 @subsection Broadcasting a Message
 
-The message_queue_broadcast directive sends the same
+The @code{@value{DIRPREFIX}message_queue_broadcast} directive sends the same
 message to every task waiting on the specified message queue as
 an atomic operation.  The message is copied to each waiting
@@ -259,5 +262,5 @@
 @subsection Deleting a Message Queue
 
-The message_queue_delete directive removes a message
+The @code{@value{DIRPREFIX}message_queue_delete} directive removes a message
 queue from the system and frees its control block as well as the
 memory associated with this message queue's message buffer pool.
@@ -682,5 +685,5 @@
 related to the number of tasks waiting on the message queue,
 although it is more efficient than the equivalent number of
-invocations of message_queue_send.
+invocations of @code{@value{DIRPREFIX}message_queue_send}.
 
 Broadcasting a message to a global message queue
@@ -750,7 +753,8 @@
 queue and the queue is empty, then the calling task is placed on
 the message wait queue and blocked.  If the queue was created
-with the @code{@value{RPREFIX}PRIORITY} option specified, then the calling task is
-inserted into the wait queue according to its priority.  But, if
-the queue was created with the @code{@value{RPREFIX}FIFO} option specified, then the
+with the @code{@value{RPREFIX}PRIORITY} option specified, then
+the calling task is inserted into the wait queue according to
+its priority.  But, if the queue was created with the
+@code{@value{RPREFIX}FIFO} option specified, then the
 calling task is placed at the rear of the wait queue.
 
Index: doc/user/part.t
===================================================================
--- doc/user/part.t	(revision 3973e40a54b01fd9f1e4c687c34aa7830a4c2350)
+++ doc/user/part.t	(revision 75e22db0d500f02e6a1c0304ead2bff4f0790139)
@@ -77,8 +77,7 @@
 
 @itemize @bullet
-@item LOCAL - local task (default)
-@item GLOBAL - global task
+@item @code{@value{RPREFIX}LOCAL} - local task (default)
+@item @code{@value{RPREFIX}GLOBAL} - global task
 @end itemize
-
 
 
@@ -89,7 +88,9 @@
 required to appear in the attribute list, although it is a good
 programming practice to specify default attributes.  If all
-defaults are desired, the attribute @code{@value{RPREFIX}DEFAULT_ATTRIBUTES} should be
+defaults are desired, the attribute
+@code{@value{RPREFIX}DEFAULT_ATTRIBUTES} should be
 specified on this call.  The attribute_set parameter should be
-GLOBAL to indicate that the partition is to be known globally.
+@code{@value{RPREFIX}GLOBAL} to indicate that the partition
+is to be known globally.
 
 @ifinfo
@@ -112,8 +113,9 @@
 @subsection Creating a Partition
 
-The partition_create directive creates a partition
+The @code{@value{DIRPREFIX}partition_create} directive creates a partition
 with a user-specified name.  The partition's name, starting
 address, length and buffer size are all specified to the
-partition_create directive.  RTEMS allocates a Partition Control
+@code{@value{DIRPREFIX}partition_create} directive.  
+RTEMS allocates a Partition Control
 Block (PTCB) from the PTCB free list.  This data structure is
 used by RTEMS to manage the newly created partition.  The number
@@ -131,9 +133,9 @@
 is deleted.  The partition ID may be obtained by either of two
 methods.  First, as the result of an invocation of the
-partition_create directive, the partition ID is stored in a user
-provided location.  Second, the partition ID may be obtained
-later using the partition_ident directive.  The partition ID is
-used by other partition manager directives to access this
-partition.
+@code{@value{DIRPREFIX}partition_create} directive, the partition
+ID is stored in a user provided location.  Second, the partition
+ID may be obtained later using the @code{@value{DIRPREFIX}partition_ident}
+directive.  The partition ID is used by other partition manager directives
+to access this partition.
 
 @ifinfo
@@ -143,5 +145,6 @@
 
 A buffer can be obtained by calling the
-partition_get_buffer directive.  If a buffer is available, then
+@code{@value{DIRPREFIX}partition_get_buffer} directive.  
+If a buffer is available, then
 it is returned immediately with a successful return code.
 Otherwise, an unsuccessful return code is returned immediately
@@ -155,5 +158,5 @@
 
 Buffers are returned to a partition's free buffer
-chain with the partition_return_buffer directive.  This
+chain with the @code{@value{DIRPREFIX}partition_return_buffer} directive.  This
 directive returns an error status code if the returned buffer
 was not previously allocated from this partition.
@@ -164,5 +167,5 @@
 @subsection Deleting a Partition
 
-The partition_delete directive allows a partition to
+The @code{@value{DIRPREFIX}partition_delete} directive allows a partition to
 be removed and returned to RTEMS.  When a partition is deleted,
 the PTCB for that partition is returned to the PTCB free list.
@@ -261,6 +264,6 @@
 
 @itemize @bullet
-@item LOCAL - local task (default)
-@item GLOBAL - global task
+@item @code{@value{RPREFIX}LOCAL} - local task (default)
+@item @code{@value{RPREFIX}GLOBAL} - global task
 @end itemize
 
@@ -390,5 +393,5 @@
 
 The partition must reside on the local node, even if
-the partition was created with the GLOBAL option.
+the partition was created with the @code{@value{RPREFIX}GLOBAL} option.
 
 @page
Index: doc/user/region.t
===================================================================
--- doc/user/region.t	(revision 3973e40a54b01fd9f1e4c687c34aa7830a4c2350)
+++ doc/user/region.t	(revision 75e22db0d500f02e6a1c0304ead2bff4f0790139)
@@ -101,10 +101,12 @@
 required to appear in the attribute list, although it is a good
 programming practice to specify default attributes.  If all
-defaults are desired, the attribute @code{@value{RPREFIX}DEFAULT_ATTRIBUTES} should be
+defaults are desired, the attribute
+@code{@value{RPREFIX}DEFAULT_ATTRIBUTES} should be
 specified on this call.
 
 This example demonstrates the attribute_set parameter
 needed to create a region with the task priority waiting queue
-discipline.  The attribute_set parameter to the region_create
+discipline.  The attribute_set parameter to the
+@code{@value{DIRPREFIX}region_create}
 directive should be @code{@value{RPREFIX}PRIORITY}.
 
@@ -116,5 +118,6 @@
 In general, an option is built by a bitwise OR of the
 desired option components.  The set of valid options for the
-region_get_segment directive are listed in the following table:
+@code{@value{DIRPREFIX}region_get_segment} directive are
+listed in the following table:
 
 @itemize @bullet
@@ -129,10 +132,12 @@
 required to appear in the option list, although it is a good
 programming practice to specify default options.  If all
-defaults are desired, the option @code{@value{RPREFIX}DEFAULT_OPTIONS} should be
+defaults are desired, the option
+@code{@value{RPREFIX}DEFAULT_OPTIONS} should be
 specified on this call.
 
 This example demonstrates the option parameter needed
 to poll for a segment.  The option parameter passed to the
-region_get_segment directive should be @code{@value{RPREFIX}NO_WAIT}.
+@code{@value{DIRPREFIX}region_get_segment} directive should
+be @code{@value{RPREFIX}NO_WAIT}.
 
 @ifinfo
@@ -157,5 +162,5 @@
 @subsection Creating a Region
 
-The region_create directive creates a region with the
+The @code{@value{DIRPREFIX}region_create} directive creates a region with the
 user-defined name.  The user may select FIFO or task priority as
 the method for placing waiting tasks in the task wait queue.
@@ -186,8 +191,10 @@
 deleted.  The region ID may be obtained by either of two
 methods.  First, as the result of an invocation of the
-region_create directive, the region ID is stored in a user
+@code{@value{DIRPREFIX}region_create} directive,
+the region ID is stored in a user
 provided location.  Second, the region ID may be obtained later
-using the region_ident directive.  The region ID is used by
-other region manager directives to access this region.
+using the @code{@value{DIRPREFIX}region_ident} directive.  
+The region ID is used by other region manager directives to
+access this region.
 
 @ifinfo
@@ -196,5 +203,5 @@
 @subsection Adding Memory to a Region
 
-The region_extend directive may be used to add memory
+The @code{@value{DIRPREFIX}region_extend} directive may be used to add memory
 to an existing region.  The caller specifies the size in bytes
 and starting address of the memory being added.
@@ -210,5 +217,5 @@
 @subsection Acquiring a Segment
 
-The region_get_segment directive attempts to acquire
+The @code{@value{DIRPREFIX}region_get_segment} directive attempts to acquire
 a segment from a specified region.  If the region has enough
 available free memory, then a segment is returned successfully
@@ -219,6 +226,6 @@
 @item By default, the calling task will wait forever to acquire the segment.
 
-@item Specifying the @code{@value{RPREFIX}NO_WAIT} option forces an immediate return
-with an error status code.
+@item Specifying the @code{@value{RPREFIX}NO_WAIT} option forces
+an immediate return with an error status code.
 
 @item Specifying a timeout limits the interval the task will
@@ -237,5 +244,5 @@
 
 When a segment is returned to a region by the
-region_return_segment directive, it is merged with its
+@code{@value{DIRPREFIX}region_return_segment} directive, it is merged with its
 unallocated neighbors to form the largest possible segment.  The
 first task on the wait queue is examined to determine if its
@@ -249,5 +256,5 @@
 @subsection Obtaining the Size of a Segment
 
-The region_get_segment_size directive returns the
+The @code{@value{DIRPREFIX}region_get_segment_size} directive returns the
 size in bytes of the specified segment.  The size returned
 includes any "extra" memory included in the segment because of
@@ -260,5 +267,6 @@
 
 A region can be removed from the system and returned
-to RTEMS with the region_delete directive.  When a region is
+to RTEMS with the @code{@value{DIRPREFIX}region_delete}
+directive.  When a region is
 deleted, its control block is returned to the RNCB free list.  A
 region with segments still allocated is not allowed to be
@@ -350,6 +358,6 @@
 waiting for a segment to be serviced according to task priority.
 Specifying @code{@value{RPREFIX}FIFO} in attribute_set or selecting
-@code{@value{RPREFIX}DEFAULT_ATTRIBUTES} will cause waiting tasks to be serviced in
-First In-First Out order.
+@code{@value{RPREFIX}DEFAULT_ATTRIBUTES} will cause waiting tasks to
+be serviced in First In-First Out order.
 
 The starting_address parameter must be aligned on a
@@ -366,6 +374,6 @@
 
 @itemize @bullet
-@item FIFO - tasks wait by FIFO (default)
-@item PRIORITY - tasks wait by priority
+@item @code{@value{RPREFIX}FIFO} - tasks wait by FIFO (default)
+@item @code{@value{RPREFIX}PRIORITY} - tasks wait by priority
 @end itemize
 
@@ -556,5 +564,6 @@
 This directive obtains a variable size segment from
 the region specified by id.  The address of the allocated
-segment is returned in segment.  The @code{@value{RPREFIX}WAIT} and @code{@value{RPREFIX}NO_WAIT} components
+segment is returned in segment.  The @code{@value{RPREFIX}WAIT}
+and @code{@value{RPREFIX}NO_WAIT} components
 of the options parameter are used to specify whether the calling
 tasks wish to wait for a segment to become available or return
@@ -570,12 +579,14 @@
 available, then the calling task is placed on the region's
 segment wait queue and blocked.  If the region was created with
-the @code{@value{RPREFIX}PRIORITY} option, then the calling task is inserted into the
+the @code{@value{RPREFIX}PRIORITY} option, then the calling
+task is inserted into the
 wait queue according to its priority.  However, if the region
-was created with the @code{@value{RPREFIX}FIFO} option, then the calling task is
-placed at the rear of the wait queue.
+was created with the @code{@value{RPREFIX}FIFO} option, then the calling
+task is placed at the rear of the wait queue.
 
 The timeout parameter specifies the maximum interval
 that a task is willing to wait to obtain a segment.  If timeout
-is set to @code{@value{RPREFIX}NO_TIMEOUT}, then the calling task will wait forever.
+is set to @code{@value{RPREFIX}NO_TIMEOUT}, then the
+calling task will wait forever.
 
 @subheading NOTES:
Index: doc/user/rtmon.t
===================================================================
--- doc/user/rtmon.t	(revision 3973e40a54b01fd9f1e4c687c34aa7830a4c2350)
+++ doc/user/rtmon.t	(revision 75e22db0d500f02e6a1c0304ead2bff4f0790139)
@@ -697,5 +697,5 @@
 @subsection Creating a Rate Monotonic Period
 
-The rate_monotonic_create directive creates a rate
+The @code{@value{DIRPREFIX}rate_monotonic_create} directive creates a rate
 monotonic period which is to be used by the calling task to
 delineate a period.  RTEMS allocates a Period Control Block
@@ -711,9 +711,9 @@
 @subsection Manipulating a Period
 
-The rate_monotonic_period directive is used to
+The @code{@value{DIRPREFIX}rate_monotonic_period} directive is used to
 establish and maintain periodic execution utilizing a previously
 created rate monotonic period.   Once initiated by the
-rate_monotonic_period directive, the period is said to run until
-it either expires or is reinitiated.  The state of the rate
+@code{@value{DIRPREFIX}rate_monotonic_period} directive, the period is
+said to run until it either expires or is reinitiated.  The state of the rate
 monotonic period results in one of the following scenarios:
 
@@ -729,7 +729,8 @@
 
 @item If the rate monotonic period has expired before the task
-invokes the rate_monotonic_period directive, the period will be
-initiated with a length of period ticks and the calling task
+invokes the @code{@value{DIRPREFIX}rate_monotonic_period} directive,
+the period will be initiated with a length of period ticks and the calling task
 returns immediately with a timeout error status.
+
 @end itemize
 
@@ -739,9 +740,10 @@
 @subsection Obtaining a Period's Status
 
-If the rate_monotonic_period directive is invoked
-with a period of @code{@value{RPREFIX}PERIOD_STATUS} ticks, the current state of the
-specified rate monotonic period will be returned.  The following
+If the @code{@value{DIRPREFIX}rate_monotonic_period} directive is invoked
+with a period of @code{@value{RPREFIX}PERIOD_STATUS} ticks, the current
+state of the specified rate monotonic period will be returned.  The following
 table details the relationship between the period's status and
-the directive status code returned by the rate_monotonic_period
+the directive status code returned by the
+@code{@value{DIRPREFIX}rate_monotonic_period}
 directive:
 
@@ -762,8 +764,8 @@
 @subsection Canceling a Period
 
-The rate_monotonic_cancel directive is used to stop
+The @code{@value{DIRPREFIX}rate_monotonic_cancel} directive is used to stop
 the period maintained by the specified rate monotonic period.
 The period is stopped and the rate monotonic period can be
-reinitiated using the rate_monotonic_period directive.
+reinitiated using the @code{@value{DIRPREFIX}rate_monotonic_period} directive.
 
 @ifinfo
@@ -772,5 +774,5 @@
 @subsection Deleting a Rate Monotonic Period
 
-The rate_monotonic_delete directive is used to delete
+The @code{@value{DIRPREFIX}rate_monotonic_delete} directive is used to delete
 a rate monotonic period.  If the period is running and has not
 expired, the period is automatically canceled.  The rate
@@ -803,5 +805,5 @@
   rtems_status_code status;
 
-  name = build_name( 'P', 'E', 'R', 'D' );
+  name = rtems_build_name( 'P', 'E', 'R', 'D' );
 
   (void) rate_monotonic_create( name, &period );
@@ -824,12 +826,14 @@
 The above task creates a rate monotonic period as
 part of its initialization.  The first time the loop is
-executed, the rate_monotonic_period directive will initiate the
-period for 100 ticks and return immediately.  Subsequent
-invocations of the rate_monotonic_period directive will result
+executed, the @code{@value{DIRPREFIX}rate_monotonic_period}
+directive will initiate the period for 100 ticks and return
+immediately.  Subsequent invocations of the
+@code{@value{DIRPREFIX}rate_monotonic_period} directive will result
 in the task blocking for the remainder of the 100 tick period.
 If, for any reason, the body of the loop takes more than 100
-ticks to execute, the rate_monotonic_period directive will
-return the TIMEOUT status.  If the above task misses its
-deadline, it will delete the rate monotonic period and itself.
+ticks to execute, the @code{@value{DIRPREFIX}rate_monotonic_period}
+directive will return the @code{@value{RPREFIX}TIMEOUT} status.  
+If the above task misses its deadline, it will delete the rate
+monotonic period and itself.
 
 @ifinfo
@@ -854,6 +858,6 @@
   rtems_status_code status;
 
-  name_1 = build_name( 'P', 'E', 'R', '1' );
-  name_2 = build_name( 'P', 'E', 'R', '2' );
+  name_1 = rtems_build_name( 'P', 'E', 'R', '1' );
+  name_2 = rtems_build_name( 'P', 'E', 'R', '2' );
 
   (void ) rate_monotonic_create( name_1, &period_1 );
@@ -898,22 +902,25 @@
 The above task creates two rate monotonic periods as
 part of its initialization.  The first time the loop is
-executed, the rate_monotonic_period directive will initiate the
-period_1 period for 100 ticks and return immediately.
-Subsequent invocations of the rate_monotonic_period directive
+executed, the @code{@value{DIRPREFIX}rate_monotonic_period}
+directive will initiate the period_1 period for 100 ticks
+and return immediately.  Subsequent invocations of the
+@code{@value{DIRPREFIX}rate_monotonic_period} directive
 for period_1 will result in the task blocking for the remainder
 of the 100 tick period.  The period_2 period is used to control
 the execution time of the two sets of actions within each 100
-tick period established by period_1.  The rate_monotonic_cancel(
-period_2 ) call is performed to insure that the period_2 period
+tick period established by period_1.  The
+@code{@value{DIRPREFIX}rate_monotonic_cancel( period_2 )}
+call is performed to insure that the period_2 period
 does not expire while the task is blocked on the period_1
 period.  If this cancel operation were not performed, every time
-the rate_monotonic_period( period_1, 40 ) call is executed,
-except for the initial one, a directive status of TIMEOUT is
-returned.  It is important to note that every time this call is
-made, the period_1 period will be initiated immediately and the
-task will not block.
+the @code{@value{DIRPREFIX}rate_monotonic_period( period_1, 40 )}
+call is executed, except for the initial one, a directive status
+of @code{@value{RPREFIX}TIMEOUT} is returned.  It is important to
+note that every time this call is made, the period_1 period will be
+initiated immediately and the task will not block.
 
 If, for any reason, the task misses any deadline, the
-rate_monotonic_period directive will return the TIMEOUT
+@code{@value{DIRPREFIX}rate_monotonic_period} directive will
+return the @code{@value{RPREFIX}TIMEOUT}
 directive status.  If the above task misses its deadline, it
 will delete the rate monotonic periods and itself.
@@ -1064,5 +1071,5 @@
 This directive cancels the rate monotonic period id.
 This period will be reinitiated by the next invocation of
-rate_monotonic_period with id.
+@code{@value{DIRPREFIX}rate_monotonic_period} with id.
 
 @subheading NOTES:
@@ -1229,12 +1236,15 @@
 @end ifset
 
+@c RATE_MONOTONIC_INACTIVE does not have RTEMS_ in front of it.
+
 If the period's state is @code{RATE_MONOTONIC_INACTIVE}, both
 ticks_since_last_period and ticks_executed_since_last_period 
 will be set to 0.  Otherwise, ticks_since_last_period will
 contain the number of clock ticks which have occurred since
-the last invocation of the rtems_rate_monotonic_period directive.
+the last invocation of the
+@code{@value{DIRPREFIX}rate_monotonic_period} directive.
 Also in this case, the ticks_executed_since_last_period will indicate
 how much processor time the owning task has consumed since the invocation
-of the rtems_rate_monotonic_period directive.
+of the @code{@value{DIRPREFIX}rate_monotonic_period} directive.
 
 @subheading NOTES:
